=== debian/watch ===
version=3
http://download.osgeo.org/libtiff/tiff-([\d\.]+).tar.gz
