## tiff 4.0.9+git181026

=== debian/changelog ===
tiff (4.0.9+git181026-1) unstable; urgency=high

  * Git snapshot, fixing the following security issues:
    - CVE-2018-17100, int32 overflow in multiply_ms() which can cause a DoS
      or possibly have unspecified other impact via a crafted image file
      (closes: #909038),
    - CVE-2018-17101, two out-of-bounds writes in cpTags() which can cause a
      DoS or possibly have unspecified other impact via a crafted image file
      (closes: #909037),
    - CVE-2018-18557, out-of-bounds write in JBIGDecode() (closes: #911635).
  * Remove previously backported security patches.
  * Build with Zstandard, a fast lossless compression algorithm.
  * Build with WebP, the modern VP8 compression format.
  * Update libtiff5 symbols.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Oct 2018 11:04:14 +0000

tiff (4.0.9-6) unstable; urgency=high

  * Fix CVE-2018-8905: eap-based buffer overflow in LZWDecodeCompat()
    (closes: #893806).
  * Fix CVE-2018-10963: remote denial of service (closes: #898348).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Jul 2018 19:46:23 +0000
