=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tiff
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 11),
                freeglut3-dev,
@@ -10,6 +9,8 @@
                libjbig-dev,
                libjpeg-dev,
                liblzma-dev,
+               libzstd-dev,
+               libwebp-dev,
                libxi-dev,
                libxmu-dev,
                zlib1g-dev
