=== debian/changelog ===
tiff (4.0.10-4) unstable; urgency=high

  * Backport security fixes:
    - CVE-2018-12900: heap-based buffer overflow in
      cpSeparateBufToContigBuf() cause remote DoS (closes: #902718),
    - CVE-2018-17000: NULL pointer dereference in _TIFFmemcmp() cause DoS
      (closes: #908778),
    - CVE-2018-19210: NULL pointer dereference in TIFFWriteDirectorySec()
      cause DoS (closes: #913675),
    - CVE-2019-6128: TIFFFdOpen() memory leak (closes: #921157).
  * Update watch file.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 02 Feb 2019 18:34:29 +0000

tiff (4.0.10-3) unstable; urgency=medium

  * Backport fix for lossless WebP compression config.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 Nov 2018 17:01:04 +0000

tiff (4.0.10-2) unstable; urgency=medium

  * Add libegl1-mesa-dev as build dependency until mesa-common-dev is fixed.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 20 Nov 2018 00:24:26 +0000

tiff (4.0.10-1) unstable; urgency=high

  * New upstream release.
  * Fix CVE-2018-18661: NULL pointer dereference in LZWDecode()
    (closes: #912012).
  * Move libtiff5-dev contents to libtiff-dev .
  * Mark libtiff-dev as Multi-Arch same (closes: #884978).
  * Mark libtiff-{tools,opengl} as Multi-Arch foreign (closes: #904165).
  * Mark libtiff-doc as Multi-Arch foreign (closes: #907794).
  * Fix TIFFReadRawStrip man page typo (closes: #672858).
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 19 Nov 2018 17:16:05 +0000
