=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: libs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 11),
                freeglut3-dev,
                libglu1-mesa-dev,
@@ -14,8 +13,8 @@
                libxi-dev,
                libxmu-dev,
                zlib1g-dev
-Standards-Version: 4.1.4
-Homepage: http://libtiff.maptools.org
+Standards-Version: 4.3.0
+Homepage: https://libtiff.maptools.org
 #Vcs-Git: git://anonscm.debian.org/collab-maint/tiff.git
 #Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tiff.git
 
@@ -41,7 +40,7 @@
  (TIFF), a widely used format for storing image data.  This package
  includes the shared library for the experimental C++ interfaces.
 
-Package: libtiff5-dev
+Package: libtiff-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
@@ -55,30 +54,33 @@
          zlib1g-dev,
          ${misc:Depends}
 Replaces: libtiff4-dev (<< 4.0.3-6~),
-          libtiff5-alt-dev (<< 4.0.3-6~)
-Conflicts: libtiff4-dev (<< 4.0.3-6~),
-           libtiff5-alt-dev (<< 4.0.3-6~)
+          libtiff5-alt-dev (<< 4.0.3-6~),
+          libtiff5-dev (<< 4.0.10-1~)
+Breaks: libtiff4-dev (<< 4.0.3-6~),
+        libtiff5-alt-dev (<< 4.0.3-6~),
+        libtiff5-dev (<< 4.0.10-1~)
 Description: Tag Image File Format library (TIFF), development files
  libtiff is a library providing support for the Tag Image File Format
  (TIFF), a widely used format for storing image data.  This package
  includes the development files, static library, and header files.
 
-Package: libtiff-dev
+Package: libtiff5-dev
 Section: oldlibs
-Depends: libtiff5-dev (>= 4.0.9-1),
+Depends: libtiff-dev (>= 4.0.10-1),
          ${misc:Depends}
 Recommends: pkg-config
 Architecture: any
-Description: Tag Image File Format library (TIFF), development files, current version
+Description: Tag Image File Format library (TIFF), development files (transitional package)
  libtiff is a library providing support for the Tag Image File Format
  (TIFF), a widely used format for storing image data.  This package
  includes the development files, static library, and header files.
  .
- This transitional package should be used in Build-Depends to ease the change.
+ This is a transitional package. It can safely be removed.
 
 Package: libtiff-tools
 Section: graphics
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Suggests: libtiff-opengl
@@ -92,6 +94,7 @@
 Package: libtiff-opengl
 Section: graphics
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: TIFF manipulation and conversion tools
@@ -105,6 +108,7 @@
 Section: doc
 Depends: ${misc:Depends}
 Architecture: all
+Multi-Arch: foreign
 Description: TIFF manipulation and conversion documentation
  libtiff is a library providing support for the Tag Image File Format
  (TIFF), a widely used format for storing image data.  This package
