=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,6 @@
 	# all the X and opengl dependencies.
 	rm -f debian/libtiff-tools/usr/bin/tiffgt
 	rm -f debian/libtiff-tools/usr/share/man/man1/tiffgt.1*
-	# leftovers
-	rm -f debian/libtiff-doc/usr/share/doc/libtiff-doc/html/man/thumbnail.1*
-	rm -f debian/libtiff-tools/usr/share/man/man1/thumbnail.1*
-	rm -f debian/libtiff-doc/usr/share/doc/libtiff-doc/html/man/rgb2ycbcr.1*
-	rm -f debian/libtiff-tools/usr/share/man/man1/rgb2ycbcr.1*
 
 %:
 	dh $@ --with autoreconf
