=== debian/changelog ===
tiff (4.0.10+git191003-1) unstable; urgency=high

  * Git snapshot, fixing the following security issue:
    - TIFFReadAndRealloc(): avoid too large memory allocation attempts.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 03 Oct 2019 22:00:39 +0000

tiff (4.0.10+git190903-1) unstable; urgency=high

  * Git snapshot, fixing the following security issues:
    - setByteArray(): avoid potential signed integer overflow,
    - EstimateStripByteCounts(): avoid several unsigned integer overflows,
    - tif_ojpeg: avoid two unsigned integer overflows,
    - OJPEGWriteHeaderInfo(): avoid unsigned integer overflow on strile
      dimensions close to UINT32_MAX,
    - _TIFFPartialReadStripArray(): avoid unsigned integer overflow,
    - JPEG: avoid use of uninitialized memory on corrupted files,
    - TIFFFetchDirectory(): fix invalid cast from uint64 to tmsize_t,
    - allocChoppedUpStripArrays(): avoid unsigned integer overflow,
    - tif_ojpeg: avoid use of uninitialized memory on edge/broken file,
    - ByteCountLooksBad and EstimateStripByteCounts: avoid unsigned integer
      overflows.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 17 Sep 2019 22:07:35 +0000

tiff (4.0.10+git190818-1) unstable; urgency=high

  * Git snapshot, fixing the following security issues:
    - RGBA interface: fix integer overflow potentially causing write heap
      buffer overflow,
    - setByteArray(): avoid potential signed integer overflow.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 18 Aug 2019 11:25:27 +0000

tiff (4.0.10+git190814-1) unstable; urgency=high

  * Git snapshot, fixing the following security issues:
    - TryChopUpUncompressedBigTiff(): avoid potential division by zero,
    - fix vulnerability introduced by defer strile loading,
    - fix vulnerability in 'D' (DeferStrileLoad) mode,
    - return infinite distance when denominator is zero,
    - OJPEG: avoid use of uninitialized memory on corrupted files,
    - OJPEG: fix integer division by zero on corrupted subsampling factors,
    - OJPEGReadBufferFill(): avoid very long processing time on corrupted
      files,
    - TIFFClientOpen(): fix memory leak if one of the required callbacks is
      not provided,
    - CVE-2019-14973, fix integer overflow in _TIFFCheckMalloc() and other
      implementation-defined behaviour (closes: #934780).
  * Update libtiff5 symbols.
  * Update Standards-Version to 4.4.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 14 Aug 2019 19:24:22 +0000
