=== debian/control ===
--- 
+++ 
@@ -13,10 +13,8 @@
                libxi-dev,
                libxmu-dev,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://libtiff.maptools.org
-#Vcs-Git: git://anonscm.debian.org/collab-maint/tiff.git
-#Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tiff.git
 
 Package: libtiff5
 Architecture: any
