## tiff 4.1.0%2Bgit191117

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tiff
 Section: libs
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 11),
                freeglut3-dev,
                libglu1-mesa-dev,
@@ -13,8 +14,8 @@
                libxi-dev,
                libxmu-dev,
                zlib1g-dev
-Standards-Version: 4.4.0
-Homepage: https://libtiff.maptools.org
+Standards-Version: 4.4.1
+Homepage: https://libtiff.gitlab.io/libtiff/
 
 Package: libtiff5
 Architecture: any
